Package com.sun.speech.freetts.en.us

# Class WordRelation

java.lang.Object
com.sun.speech.freetts.en.us.WordRelation

public class WordRelation extends Object
Helper class to add words and breaks into a Relation object.

## Method Summary

Modifier and Type
Method
Description
`void`
`addBreak()`
Adds a break as a feature to the last item in the list.
`void`
`addWord(String word)`
Adds a word as an Item to this WordRelation object.
`static WordRelation`
`createWordRelation(Utterance utterance, TokenToWords tokenToWords)`
Creates a WordRelation object with the given utterance and TokenToWords.
`Item`
`getTail()`
Returns the last item in this WordRelation.
`void`
`setLastWord(String word)`
Sets the last Item in this WordRelation to the given word.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createWordRelation

public static WordRelation createWordRelation(Utterance utterance, TokenToWords tokenToWords)
Creates a WordRelation object with the given utterance and TokenToWords.

Parameters:
  `utterance` - the Utterance from which to create a Relation
  `tokenToWords` - the TokenToWords object to use
Returns:
  a WordRelation object

### addBreak

public void addBreak()
Adds a break as a feature to the last item in the list.

### addWord

public void addWord(String word)
Adds a word as an Item to this WordRelation object.

Parameters:
  `word` - the word to add

### setLastWord

public void setLastWord(String word)
Sets the last Item in this WordRelation to the given word.

Parameters:
  `word` - the word to set

### getTail

public Item getTail()
Returns the last item in this WordRelation.

Returns:
  the last item